ros-rolling-rclcpp-lifecycle (29.3.0-1noble) noble; urgency=high

  * Update docstring for rclcpp::Node::now() (#2696 <https://github.com/ros2/rclcpp/issues/2696>)
  * Contributors: Patrick Roncagliolo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 20 Dec 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (29.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Nov 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (29.1.0-1noble) noble; urgency=high

  * Fix error message in rclcpp_lifecycle::State::reset() (#2647 <https://github.com/ros2/rclcpp/issues/2647>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (29.0.0-1noble) noble; urgency=high

  * Shutdown the context before context's destructor is invoked in tests (#2633 <https://github.com/ros2/rclcpp/issues/2633>)
  * LifecycleNode bugfix and add test cases (#2562 <https://github.com/ros2/rclcpp/issues/2562>)
  * Properly test get_service_names_and_types_by_node in rclcpp_lifecycle (#2599 <https://github.com/ros2/rclcpp/issues/2599>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.3.3-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 29 Jul 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.3.2-1noble) noble; urgency=high

  * Removed deprecated methods and classes (#2575 <https://github.com/ros2/rclcpp/issues/2575>)
  * Fix the lifecycle tests on RHEL-9. (#2583 <https://github.com/ros2/rclcpp/issues/2583>)
    * Fix the lifecycle tests on RHEL-9.
    The full explanation is in the comment, but basically since
    RHEL doesn't support mocking_utils::inject_on_return, we have
    to split out certain tests to make sure resources within a
    process don't collide.
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Jul 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.3.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.3.0-1noble) noble; urgency=high

  * revert call shutdown in LifecycleNode destructor (#2557 <https://github.com/ros2/rclcpp/issues/2557>)
  * LifecycleNode shutdown on dtor only with valid context. (#2545 <https://github.com/ros2/rclcpp/issues/2545>)
  * call shutdown in LifecycleNode dtor to avoid leaving the device in unknown state (2nd) (#2528 <https://github.com/ros2/rclcpp/issues/2528>)
  * rclcpp::shutdown should not be called before LifecycleNode dtor. (#2527 <https://github.com/ros2/rclcpp/issues/2527>)
  * Revert "call shutdown in LifecycleNode dtor to avoid leaving the device in un… (#2450 <https://github.com/ros2/rclcpp/issues/2450>)" (#2522 <https://github.com/ros2/rclcpp/issues/2522>)
  * Add 'mimick' label to tests which use Mimick (#2516 <https://github.com/ros2/rclcpp/issues/2516>)
  * Contributors: Chris Lalancette, Scott K Logan, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.1.0-1noble) noble; urgency=high

  * Remove references to index.ros.org. (#2504 <https://github.com/ros2/rclcpp/issues/2504>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.0.1-1noble) noble; urgency=high

  * call shutdown in LifecycleNode dtor to avoid leaving the device in un… (#2450 <https://github.com/ros2/rclcpp/issues/2450>)
    * call shutdown in LifecycleNode dtor to avoid leaving the device in unknown state.
    * add test to verify LifecycleNode::shutdown is called on destructor.
    ---------
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (28.0.0-1noble) noble; urgency=high

  * Update quality declaration documents (#2427 <https://github.com/ros2/rclcpp/issues/2427>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (27.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (26.0.0-1noble) noble; urgency=high

  * Increase timeout for rclcpp_lifecycle to 360 (#2395 <https://github.com/ros2/rclcpp/issues/2395>)
  * Contributors: Jorge Perez

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Jan 2024 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (25.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (24.0.0-1noble) noble; urgency=high

  * Fix rclcpp_lifecycle inclusion on Windows. (#2331 <https://github.com/ros2/rclcpp/issues/2331>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (23.2.0-1noble) noble; urgency=high

  * add clients & services count (#2072 <https://github.com/ros2/rclcpp/issues/2072>)
  * Contributors: Minju, Lee

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 09 Oct 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (23.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (23.0.0-1noble) noble; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.2.0-1noble) noble; urgency=high

  * add logger level service to lifecycle node. (#2277 <https://github.com/ros2/rclcpp/issues/2277>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.1.0-1noble) noble; urgency=high

  * Stop using constref signature of benchmark DoNotOptimize. (#2238 <https://github.com/ros2/rclcpp/issues/2238>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.0.0-1noble) noble; urgency=high

  * Implement get_node_type_descriptions_interface for lifecyclenode and add smoke test for it (#2237 <https://github.com/ros2/rclcpp/issues/2237>)
  * Switch lifecycle to use the RCLCPP macros. (#2233 <https://github.com/ros2/rclcpp/issues/2233>)
  * Add new node interface TypeDescriptionsInterface to provide GetTypeDescription service (#2224 <https://github.com/ros2/rclcpp/issues/2224>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.1.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.0.0-1noble) noble; urgency=high

  * Add support for logging service. (#2122 <https://github.com/ros2/rclcpp/issues/2122>)
  * Support publishing loaned messages in LifecyclePublisher (#2159 <https://github.com/ros2/rclcpp/issues/2159>)
  * Contributors: Lei Liu, Michael Babenko

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (20.0.0-1noble) noble; urgency=high

  * Fixes to silence some clang warnings. (#2127 <https://github.com/ros2/rclcpp/issues/2127>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Use the correct macro for LifecycleNode::get_fully_qualified_name (#2117 <https://github.com/ros2/rclcpp/issues/2117>)
  * add get_fully_qualified_name to rclcpp_lifecycle (#2115 <https://github.com/ros2/rclcpp/issues/2115>)
  * Contributors: Chris Lalancette, Steve Macenski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (18.0.0-1noble) noble; urgency=high

  * Implement Unified Node Interface (NodeInterfaces class) (#2041 <https://github.com/ros2/rclcpp/issues/2041>)
  * Add clock type to node_options (#1982 <https://github.com/ros2/rclcpp/issues/1982>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, Jeffery Hsu, methylDragon

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 29 Dec 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (17.1.0-1noble) noble; urgency=high

  * LifecycleNode on_configure doc fix. (#2034 <https://github.com/ros2/rclcpp/issues/2034>)
  * Bugfix 20210810 get current state (#1756 <https://github.com/ros2/rclcpp/issues/1756>)
  * Make lifecycle impl get_current_state() const. (#2031 <https://github.com/ros2/rclcpp/issues/2031>)
  * Cleanup the lifecycle implementation (#2027 <https://github.com/ros2/rclcpp/issues/2027>)
  * Cleanup the rclcpp_lifecycle dependencies. (#2021 <https://github.com/ros2/rclcpp/issues/2021>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (17.0.0-1noble) noble; urgency=high

  * Revert "Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>) (#2010 <https://github.com/ros2/rclcpp/issues/2010>)
  * Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>)
  * Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)
  * Support pre-set and post-set parameter callbacks in addition to on-set-parameter-callback. (#1947 <https://github.com/ros2/rclcpp/issues/1947>)
  * Make create_service accept rclcpp::QoS (#1969 <https://github.com/ros2/rclcpp/issues/1969>)
  * Make create_client accept rclcpp::QoS (#1964 <https://github.com/ros2/rclcpp/issues/1964>)
  * Contributors: Andrew Symington, Deepanshu Bansal, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (16.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (16.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (16.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (16.0.0-1noble) noble; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (15.4.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (15.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (15.2.0-1noble) noble; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (15.1.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * LifecycleNode::on_deactivate deactivate all managed entities. (#1885 <https://github.com/ros2/rclcpp/issues/1885>)
  * Contributors: Shane Loretz, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (15.0.0-1noble) noble; urgency=high

  * Automatically transition lifecycle entities when node transitions (#1863 <https://github.com/ros2/rclcpp/issues/1863>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (14.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (14.0.0-1noble) noble; urgency=high

  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (13.1.0-1noble) noble; urgency=high

  * Update forward declarations of rcl_lifecycle types (#1788 <https://github.com/ros2/rclcpp/issues/1788>)
  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (13.0.0-1noble) noble; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Change log level for lifecycle_publisher. (#1715 <https://github.com/ros2/rclcpp/issues/1715>)
  * Fix: RCLCPP_PUBLIC -> RCLCPP_LIFECYCLE_PUBLIC (#1732 <https://github.com/ros2/rclcpp/issues/1732>)
  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Alberto Soragna, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (12.0.0-1noble) noble; urgency=high

  * Remove unsafe get_callback_groups API.
    Callers should change to using for_each_callback_group(), or
    store the callback groups they need internally.
  * Add in callback_groups_for_each.
    The main reason to add this method in is to make accesses to the
    callback_groups_ vector thread-safe.  By having a
    callback_groups_for_each that accepts a std::function, we can
    just have the callers give us the callback they are interested
    in, and we can take care of the locking.
    The rest of this fairly large PR is cleaning up all of the places
    that use get_callback_groups() to instead use
    callback_groups_for_each().
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.0.0-1noble) noble; urgency=high

  * Fix destruction order in lifecycle benchmark (#1675 <https://github.com/ros2/rclcpp/issues/1675>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (10.0.0-1noble) noble; urgency=high

  * [rclcpp] Type Adaptation feature (#1557 <https://github.com/ros2/rclcpp/issues/1557>)
  * Contributors: Audrow Nash, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.0-1noble) noble; urgency=high

  * Add generic publisher and generic subscription for serialized messages (#1452 <https://github.com/ros2/rclcpp/issues/1452>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: Nikolai Morin, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.2.0-1noble) noble; urgency=high

  * Fix flaky lifecycle node tests (#1606 <https://github.com/ros2/rclcpp/issues/1606>)
  * Clock subscription callback group spins in its own thread (#1556 <https://github.com/ros2/rclcpp/issues/1556>)
  * Delete debug messages (#1602 <https://github.com/ros2/rclcpp/issues/1602>)
  * add automatically_add_executor_with_node option (#1594 <https://github.com/ros2/rclcpp/issues/1594>)
  * Contributors: BriceRenaudeau, Ivan Santiago Paunovic, Jacob Perron, anaelle-sw

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.0.0-1noble) noble; urgency=high

  * make rcl_lifecyle_com_interface optional in lifecycle nodes (#1507 <https://github.com/ros2/rclcpp/issues/1507>)
  * Contributors: Karsten Knese

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (7.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (7.0.0-1noble) noble; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * Fix SEGV caused by order of destruction of Node sub-interfaces (#1469 <https://github.com/ros2/rclcpp/issues/1469>)
  * Enforce static parameter types (#1522 <https://github.com/ros2/rclcpp/issues/1522>)
  * Contributors: Andrea Sorbini, Colin MacKenzie, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (6.3.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (6.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (6.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (6.1.0-1noble) noble; urgency=high

  * add LifecycleNode::get_transition_graph to match services. (#1472 <https://github.com/ros2/rclcpp/issues/1472>)
  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Benchmark lifecycle features (#1462 <https://github.com/ros2/rclcpp/issues/1462>)
  * Contributors: Stephen Brawner, brawner, tomoya

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (6.0.0-1noble) noble; urgency=high

  * Reserve vector capacities and use emplace_back for constructing vectors (#1464 <https://github.com/ros2/rclcpp/issues/1464>)
  * [rclcpp_lifecycle] Change uint8_t iterator variables to size_t (#1461 <https://github.com/ros2/rclcpp/issues/1461>)
  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Contributors: Louise Poubel, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (5.1.0-1noble) noble; urgency=high

  * Increase test timeouts of slow running tests with rmw_connext_cpp (#1400 <https://github.com/ros2/rclcpp/issues/1400>)
  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * Add clock qos to node options (#1375 <https://github.com/ros2/rclcpp/issues/1375>)
  * Contributors: Ivan Santiago Paunovic, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (5.0.0-1noble) noble; urgency=high

  * Increase test coverage of rclcpp_lifecycle to 96% (#1298 <https://github.com/ros2/rclcpp/issues/1298>)
  * Log error instead of throwing exception in Transition and State reset(), mark no except (#1297 <https://github.com/ros2/rclcpp/issues/1297>)
  * Remove unused private function (rclcpp::Node and rclcpp_lifecycle::Node) (#1294 <https://github.com/ros2/rclcpp/issues/1294>)
  * Remove rmw-dependent unit-test checks (#1293 <https://github.com/ros2/rclcpp/issues/1293>)
  * Added missing tests for rclcpp lifecycle (#1240 <https://github.com/ros2/rclcpp/issues/1240>)
  * Warn about unused result of add_on_set_parameters_callback (#1238 <https://github.com/ros2/rclcpp/issues/1238>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (4.0.0-1noble) noble; urgency=high

  * Remove deprecated set_on_parameters_set_callback function (#1199 <https://github.com/ros2/rclcpp/issues/1199>)
  * Bump to QD to level 3 and fixed links (#1158 <https://github.com/ros2/rclcpp/issues/1158>)
  * Fix race in test_lifecycle_service_client (#1204 <https://github.com/ros2/rclcpp/issues/1204>)
  * Contributors: Alejandro Hernández Cordero, Claire Wang, Dirk Thomas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 09 Jul 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (3.0.0-1noble) noble; urgency=high

  * Fix doxygen warnings (#1163 <https://github.com/ros2/rclcpp/issues/1163>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Jun 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (2.0.0-1noble) noble; urgency=high

  * Added missing virtual destructors. (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Fixed ``test_lifecycle_node.cpp:check_parameters`` (#1136 <https://github.com/ros2/rclcpp/issues/1136>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (1.1.0-1noble) noble; urgency=high

  * Deprecate set_on_parameters_set_callback (#1123 <https://github.com/ros2/rclcpp/issues/1123>)
  * Add missing parameter callback functions to lifecycle node (#1134 <https://github.com/ros2/rclcpp/issues/1134>)
  * Expose get_service_names_and_types_by_node from rcl in rclcpp (#1131 <https://github.com/ros2/rclcpp/issues/1131>)
  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Claire Wang, Dirk Thomas, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (1.0.0-1noble) noble; urgency=high

  * Avoid callback_group deprecation (#1108 <https://github.com/ros2/rclcpp/issues/1108>)
  * Contributors: Karsten Knese

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.9.1-1noble) noble; urgency=high

  * Added rclcpp lifecycle Doxyfile (#1089 <https://github.com/ros2/rclcpp/issues/1089>)
  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Increasing test coverage of rclcpp_lifecycle (#1045 <https://github.com/ros2/rclcpp/issues/1045>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.9.0-1noble) noble; urgency=high

  * Export targets in addition to include directories / libraries (#1096 <https://github.com/ros2/rclcpp/issues/1096>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)
  * Integrate topic statistics (#1072 <https://github.com/ros2/rclcpp/issues/1072>)
  * Reflect changes in rclcpp API (#1079 <https://github.com/ros2/rclcpp/issues/1079>)
  * Fix unknown macro errors reported by cppcheck 1.90 (#1000 <https://github.com/ros2/rclcpp/issues/1000>)
  * Rremoved rmw_implementation from package.xml (#991 <https://github.com/ros2/rclcpp/issues/991>)
  * Implement functions to get publisher and subcription informations like QoS policies from topic name (#960 <https://github.com/ros2/rclcpp/issues/960>)
  * Create node clock calls const (#922 <https://github.com/ros2/rclcpp/issues/922>)
  * Type conversions fixes (#901 <https://github.com/ros2/rclcpp/issues/901>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Devin Bonnie, Dirk Thomas, Jacob Perron, Monika Idzik, Prajakta Gokhale, Steven Macenski, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 29 Apr 2020 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.8.3-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.8.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.8.1-1noble) noble; urgency=high

  * New Intra-Process Communication (#778 <https://github.com/ros2/rclcpp/issues/778>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.8.0-1noble) noble; urgency=high

  * clean up publisher and subscription creation logic (#867 <https://github.com/ros2/rclcpp/issues/867>)
  * reset error message before setting a new one, embed the original one (#854 <https://github.com/ros2/rclcpp/issues/854>)
  * remove features and related code which were deprecated in dashing (#852 <https://github.com/ros2/rclcpp/issues/852>)
  * Fix typo in deprecated warning. (#848 <https://github.com/ros2/rclcpp/issues/848>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * Fixe error messages not printing to terminal (#777 <https://github.com/ros2/rclcpp/issues/777>)
  * Add default value to options in LifecycleNode construnctor. Update API documentation. (#775 <https://github.com/ros2/rclcpp/issues/775>)
  * Contributors: Dan Rose, Dirk Thomas, Esteve Fernandez, Luca Della Vedova, William Woodall, Yathartha Tuladhar

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.5-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 30 May 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.4-1noble) noble; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.3-1noble) noble; urgency=high

  * Added missing template functionality to lifecycle_node. (#707 <https://github.com/ros2/rclcpp/issues/707>)
  * Contributors: Michael Jeronimo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.2-1noble) noble; urgency=high

  * Added new way to specify QoS settings for publishers and subscriptions. (#713 <https://github.com/ros2/rclcpp/issues/713>)
  * Deprecated ``shared_ptr`` and raw pointer versions of ``Publisher<T>::publish()``. (#709 <https://github.com/ros2/rclcpp/issues/709>)
  * Implemented API to set callbacks for liveliness and deadline QoS events for publishers and subscriptions. (#695 <https://github.com/ros2/rclcpp/issues/695>)
  * Changed the ``IntraProcessManager`` to be capable of storing ``shared_ptr<const T>`` in addition to ``unique_ptr<T>``. (#690 <https://github.com/ros2/rclcpp/issues/690>)
  * Contributors: M. M, William Woodall, ivanpauno

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.1-1noble) noble; urgency=high

  * Added read only parameters. (#495 <https://github.com/ros2/rclcpp/issues/495>)
  * Contributors: Shane Loretz, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 26 Apr 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.7.0-1noble) noble; urgency=high

  * Fixed linter errors in rclcpp_lifecycle. (#672 <https://github.com/ros2/rclcpp/issues/672>)
  * Added parameter-related templates to LifecycleNode. (#645 <https://github.com/ros2/rclcpp/issues/645>)
  * Fixed use_sim_time issue on LifeCycleNode. (#651 <https://github.com/ros2/rclcpp/issues/651>)
  * Updated to use ament_target_dependencies where possible. (#659 <https://github.com/ros2/rclcpp/issues/659>)
  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added a method to the LifecycleNode class to get the logging interface. (#652 <https://github.com/ros2/rclcpp/issues/652>)
  * Set Parameter Event Publisher settings #591 <https://github.com/ros2/rclcpp/issues/591> (#614 <https://github.com/ros2/rclcpp/issues/614>)
  * Replaced node constructor arguments with NodeOptions. (#622 <https://github.com/ros2/rclcpp/issues/622>)
  * Removed dependency on rclpy. (#626 <https://github.com/ros2/rclcpp/issues/626>)
  * Contributors: Emerson Knapp, Karsten Knese, Michael Carroll, Michael Jeronimo, Vinnam Kim, William Woodall, ivanpauno, rarvolt

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.6.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Dec 2018 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.6.1-1noble) noble; urgency=high

  * Added node path and time stamp to parameter event message (#584 <https://github.com/ros2/rclcpp/issues/584>)
  * Refactored init to allow for non-global init (#587 <https://github.com/ros2/rclcpp/issues/587>)
  * Add class Waitable (#589 <https://github.com/ros2/rclcpp/issues/589>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall, bpwilcox

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 07 Dec 2018 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.6.0-1noble) noble; urgency=high

  * Updated to use new error handling API from rcutils (#577 <https://github.com/ros2/rclcpp/issues/577>)
  * Deleted TRANSITION_SHUTDOWN (#576 <https://github.com/ros2/rclcpp/issues/576>)
  * Added a warning when publishing if publisher is not active (#574 <https://github.com/ros2/rclcpp/issues/574>)
  * Added SMART_PTRS_DEF to LifecyclePublisher (#569 <https://github.com/ros2/rclcpp/issues/569>)
  * Added service for transition graph (#555 <https://github.com/ros2/rclcpp/issues/555>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#565 <https://github.com/ros2/rclcpp/issues/565>)
  * Fixed and improved documentation  (#546 <https://github.com/ros2/rclcpp/issues/546>)
  * Removed unneeded dependency on std_msgs (#513 <https://github.com/ros2/rclcpp/issues/513>)
  * Removed use of uninitialized CMake var (#511 <https://github.com/ros2/rclcpp/issues/511>)
  * Added get_node_names API from node. (#508 <https://github.com/ros2/rclcpp/issues/508>)
  * Fixed rosidl dependencies (#507 <https://github.com/ros2/rclcpp/issues/507>)
  * Contributors: Chris Lalancette, Dirk Thomas, Francisco Martín Rico, Karsten Knese, Mikael Arguedas, Sriram Raghunathan, William Woodall, cho3

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Nov 2018 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (0.5.0-1noble) noble; urgency=high

  * Added functions that allow you to publish serialized messages and received serialized messages in your subscription callback. (#388 <https://github.com/ros2/rclcpp/issues/388>)
  * Added ability to initialize parameter values in a node with an argument to the Node constructor. (#486 <https://github.com/ros2/rclcpp/issues/486>)
  * Nodes now autostart the ROS parameter services which let you get, set, and list parameters in a node. (#478 <https://github.com/ros2/rclcpp/issues/478>)
  * Fixed a bug that occurred when mixing ``std::shared_ptr`` and ``std::bind``. (#470 <https://github.com/ros2/rclcpp/issues/470>)
  * Added ability to pass command line arguments to the Node constructor. (#461 <https://github.com/ros2/rclcpp/issues/461>)
  * Changed library export order for static linking. (#446 <https://github.com/ros2/rclcpp/issues/446>)
  * Now depends on ``ament_cmake_ros``. (#444 <https://github.com/ros2/rclcpp/issues/444>)
  * Updaed code to use logging macros rather than ``fprintf()``. (#439 <https://github.com/ros2/rclcpp/issues/439>)
  * Contributors: Dirk Thomas, Guillaume Autran, Karsten Knese, Michael Carroll, Mikael Arguedas, Shane Loretz, dhood

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jun 2018 00:00:00 -0000


